net/p5-Test-RequiresInternet - The NetBSD Packages Collection

Test::RequiresInternet - Easily test network connectivity

This module is intended to easily test network connectivity before
functional tests begin to non-local Internet resources. It does not
require any modules beyond those supplied in core Perl.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 8.0earmv7hfp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 8.0earmv7hfp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 8.0i386p5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 8.0i386p5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 8.0i386p5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 8.0powerpcp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 8.0powerpcp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 8.0powerpcp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 8.0powerpcp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 8.0x86_64p5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 8.0x86_64p5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 8.0x86_64p5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0aarch64p5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0aarch64p5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0aarch64p5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0alphap5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0alphap5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0alphap5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0earmp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0earmp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0earmp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0earmv6hfp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0earmv6hfp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0earmv6hfp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0earmv6hfp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0earmv7hfp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0earmv7hfp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0earmv7hfp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0earmv7hfp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0earmv7hfp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0i386p5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0i386p5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0i386p5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0m68kp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0m68kp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0m68kp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0mips64ebp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0mips64ebp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0mips64ebp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0mipselp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0mipselp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0powerpcp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0powerpcp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0powerpcp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0powerpcp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0sh3elp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0sh3elp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0sh3elp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0sparc64p5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0sparc64p5-Test-RequiresInternet-0.05nb4.tgz
NetBSD 9.0sparc64p5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0sparc64p5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0sparcp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0sparcp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0sparcp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0vaxp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0vaxp5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0x86_64p5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0x86_64p5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0x86_64p5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0x86_64p5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0x86_64p5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0x86_64p5-Test-RequiresInternet-0.05nb5.tgz
NetBSD 9.0x86_64p5-Test-RequiresInternet-0.05nb5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.